Updates an existing webhook.

Path Parameters
  • id
    Type: string
    required

    The webhook ID

Body·
required

Fields to update

Request to update an existing webhook.

  • events
    Type: array string[]

    New list of event types to subscribe to.

  • name
    Type: null | string

    New name for the webhook.

  • status
    Type: null | string

    New status. Valid values: active, paused

  • url
    Type: null | string

    New HTTPS URL for webhook deliveries.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for patch/api/v1/webhooks/{id}
curl 'https://app.propstreet.com/api/v1/webhooks/{id}' \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "url": null,
  "events": [
    ""
  ],
  "name": null,
  "status": null
}'
{
  "id": "string",
  "url": "string",
  "events": [
    "string"
  ],
  "name": null,
  "status": "string",
  "createdUtc": "2026-05-05T17:18:39.880Z",
  "updatedUtc": null
}